Subject: Re: bug#32676: [PATCH] Add option to highlight the 'next-error' error message

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 14 Oct 2020 07:47:03 +0200

Juri Linkov <[email-masked]> writes:

>> I'd like to know if this patch is still being considered?
>
> Why not?  Your patch provides a helpful feature.  I see only 2 problems
> with its latest version:

I've now applied the patch (after reworking slightly), and it seems to
work well, so I've pushed it to Emacs 28.

> 1. compilation-current-error should be generalized not to be too
>    compilation-specific;

Reading the code, it looks like that variable is always set, even in
grep buffers and the like?  So it's a bad name, but...

Is there a different variable that should be used instead?

> 2. next-error-hook should not be used for core features,
>    you could call next-error-message-highlight directly
>    from next-error-found.

Fixes.

> PS: maybe a better name for defcustom would be next-error-message-highlight,
>     not next-error-message-highlight-p, to be more future-proof,
>     for the case when someone might want to add more choices later
>     (e.g. fringe, timers, etc.)

And this.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no